# Unassign a PricingOption group

Use the **unassignPricingConfigurationOptionGroup** method to remove a `PricingOptionGroup` from a `PricingConfiguration`.

## Request parameters <a href="#parameters" id="parameters"></a>

<table><thead><tr><th width="317.4666748046875">Parameter</th><th>Type / Description</th></tr></thead><tbody><tr><td><code>sessionID</code></td><td><strong>Required (string)</strong><br>Session identifier, the output of the <strong>Login</strong> method. Include <code>sessionID</code> into all your requests. 2Checkout throws an exception if the values are incorrect.  The <code>sessionID</code> expires in <strong>10 minutes</strong>.</td></tr><tr><td><code>pricingConfigurationCode</code></td><td><strong>Required (string)</strong><br>Unique, system-generated pricing configuration identifier.  </td></tr><tr><td><code>priceOptionsGroupAssigned</code></td><td><strong>Required (Object)</strong><br>Details below.</td></tr><tr><td><code>priceOptionsGroupAssigned.Code</code></td><td><strong>Required (string)</strong><br>PricingOption Group identifier.</td></tr><tr><td><code>priceOptionsGroupAssigned.Required</code></td><td><strong>Required (Object)</strong><br>True or false depending on whether the pricing options group is required during the purchase process or not.</td></tr></tbody></table>

### Request sample

```php
<?php

require ('PATH_TO_AUTH');

$pricingConfigurationCode = 'YOUR_PRICING_CONFIG_CODE';
$priceOptionsGroupAssigned = new stdClass();
$priceOptionsGroupAssigned->Code = 'STORAGE';
$priceOptionsGroupAssigned->Required = false;

$jsonRpcRequest = array (
'jsonrpc' => '2.0',
'id' => $i++,
'method' => 'unassignPricingConfigurationOptionGroup',
'params' => array($sessionID, $pricingConfigurationCode, $priceOptionsGroupAssigned)
);
var_dump (callRPC((Object)$jsonRpcRequest, $host));

?>
```

## Response <a href="#response" id="response"></a>

```php
bool(true)
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.2checkout.com/json-rpc-api-reference/json-rpc-api-6.0/api-requests/pricing-options/unassign-a-pricingoption-group.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
